package com.tykj.dev.misc.base;

import lombok.AllArgsConstructor;

/**
 * @author dengdiyi
 * 业务枚举
 */

@AllArgsConstructor
public enum BusinessEnum {
    /**
     * 列装业务
     */
    PACKING(1, "列装业务"),
    /**
     * 入库业务
     */
    STORAGE(2, "入库业务"),
    /**
     * 配发业务
     */
    ALLOT(3, "配发业务"),
    /**
     * 自查业务
     */
    SELF_CHECK(4, "自查业务"),
    /**
     * 维修业务
     */
    REPAIR(5, "维修业务"),
    /**
     * 核查业务
     */
    CONFIRM_CHECK(6, "核查业务"),
    /**
     * 核查统计业务
     */
    CONFIRM_CHECK_STAT(7, "核查统计"),
    /**
     * 核查详情业务
     */
    CONFIRM_CHECK_DETAIL(8, "核查详情"),
    /**
     * 申请业务
     */
    APPLY(9, "申请业务"),
    /**
     * 维修退回
     */
    REPAIR_BACK(10, "维修退回"),
    /**
     * 维修继续送修
     */
    REPAIR_SEND(11, "维修业务"),
    /**
     * 培训
     */
    TRAIN(13, "培训业务"),
    /**
     * 销毁业务
     */
    DESTROY(14, "销毁业务"),
    /**
     * 退装业务
     */
    RETIRED(15, "退装业务"),
    /**
     * 清退业务
     */
    SEND_BACK(16, "清退业务"),
    /**
     * 清退异常处理
     */
    DECOMMISSIONING(17, "退役业务"),
    /**
     * 清退出库
     */
    SEND_BACK_STATISTICAL(18, "清退统计业务"),
    /**
     * 新增配套设备
     */
    ADD_MATCHING_DEVICE(19, "新增配套设备"),
    /**
     * 标签修改
     */
    TAG(20, "标签修改"),
    /**
     * 工作交接
     */
    WORK_HANDOVER(21, "工作交接"),
    /**
     * 退回
     */
    ALLOT_BACK(22, "退回业务"),
    /**
     * 报废
     */
    SCRAP(23, "报废业务"),

    /**
     * 丢失
     */
    LOSS(24,"丢失业务"),

    /**
     * 找回
     */
    RETRIEVE(25,"找回业务"),

    /**
     * 重新入库
     */
    AGAINSTORAGE(26,"装备状态转换业务");

    public Integer id;

    public String name;
}
